rpslcheck(1)

NAME
rpslcheck -- an RPSL syntax checker

SYNOPSIS
rpslcheck [flags]

DESCRIPTION

rpslcheck syntax-checks an RPSL object. If the object passes rpslcheck's syntax check it will not cause errors to any of the tools in IRRToolSet, such as rtconfig. However, the syntax constraints of a particular IRR can differ from the ones in RPSL.

The input can be supplied via "-as <ASnum>" option (only AS-numbers). If no option is specified the object is expected on standard input. The input can contain multiple objects.

IRRToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and exit.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with ENABLE_DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish a whois connection to host <host-name>. The default is whois.radb.net

    -p <port-no>
        Establish a whois connection to port <port-no>. The default is 43.

    -protocol <protocol>
        Use the <protocol> to connect to the IRR server. <protocol> can be irrd(rawhoisd) or ripe(bird). The default is irrd.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, rpslcheck uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Syntax check the aut-num object for <as-no>. If this option is not supplied, stdin is parsed.

    -echo
        Print the aut-num object before matching.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the IRR host to connect.

    IRR_PORT
        Specifies the IRR port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

	% ./rpslcheck < as226.txt
	Congratulations no errors were found in parsing AS226
	% rpslcheck -as AS3130
	Congratulations no errors were found in parsing AS3130
	% rpslcheck -as AS86
	Error: *it: AS701 192.41.177.6/32 192.41.177.249 (pref=MED) ANY
	Error:                            ^^^^^^^^^^^^^^

ERROR AND WARNING MESSAGES
Error: no object for AS <as_no>

    Aut-num object for <as_no> is not found in specified IRR for specified source. You could have mistyped the source, hostname or AS-number, or perhaps the object does not exist.

For more error descriptions, please see irrtoolset-errors manual page.

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu> Katie Petrusha <katie@ripe.net>